#if !defined(AFX_WIZPAGEMISSION_H__EB0ADDDC_4E45_4D1C_9D4E_ADBBBDF6D446__INCLUDED_)
#define AFX_WIZPAGEMISSION_H__EB0ADDDC_4E45_4D1C_9D4E_ADBBBDF6D446__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WizPageMission.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWizPageMission dialog

class CWizPageMission : public CPropertyPage
{
	DECLARE_DYNCREATE(CWizPageMission)

// Construction
public:
	CWizPageMission();
	~CWizPageMission();

// Dialog Data
	//{{AFX_DATA(CWizPageMission)
	enum { IDD = IDD_WIZ_SELECTMISSION };
	CEdit	m_ctrlName;
	CButton	m_checkRename;
	CListBox	m_ctrlList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CWizPageMission)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnWizardFinish();
	virtual LRESULT OnWizardNext();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CWizPageMission)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeListmission();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WIZPAGEMISSION_H__EB0ADDDC_4E45_4D1C_9D4E_ADBBBDF6D446__INCLUDED_)
